#
# spec file for package gap-nilmat
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-nilmat
Summary:        GAP: Computing with nilpotent matrix groups
License:        GPL-3.0
Group:          Productivity/Scientific/Math
Version:        1.3
Release:        lp151.2.1
Url:            http://larmor.nuigalway.ie/~dane/nilmat

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/nilmat-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.4.12
Requires:       gap-polenta >= 1.0

%description
This package contains methods for checking whether a given matrix
group is nilpotent and for computing with nilpotent matrix groups.
The considered matrix groups may be matrix groups over a finite field
or the field of rational numbers.

%prep
%setup -qn nilmat-%version

%build

%install
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sun Dec 24 2017 jengelh@inai.de
- Update to new upstream release 1.3
  * No changelog available
* Fri May 10 2013 jengelh@inai.de
- Split nilmat (version 1.2) off the gap RPM package
